/* Global styles */

* {
    margin: 0;
    box-sizing: border-box;
  }

  :root {
    --accualDropdownSize: 50px;
  }

  .WholeSelectorObject {
    place-self: center;
  }

  /* from: https://www.youtube.com/watch?v=Qhaz36TZG5Y */
  .dropdown {
    opacity: 0;
    visibility: hidden;
  }

  .AutocompleatSearchBox:focus-within .dropdown, .AutocompleatSearchBox:focus-within .dropdown
  {
    opacity: 1;
    visibility: visible;
  } 

  .PropertyInputBox,
  .ItemSelectorHolder
    {
    display: inline-block;
    position: relative;
    height: 10%;
    width: 350px;
    background-color: var(--colorBackground);
    margin-left: 5px;
    margin-right: 5px;
    
  }
  
  /* Input styling
  
  .Input {
    display: flex;
    flex-direction: column;
    justify-content: center;
    place-self: center;
    border: var(--border);
    border-radius: var(--radius);
    height: 36px;
    width: 280px;
    margin-top: 10px;
    padding: var(--gutter);
    background-color: white;
    position: absolute;

  }
  
  .input:hover {
    cursor: pointer;
  } */
  
  .PropertyInputBox {
    position: relative;
  }

  /* Dropdown styling */
  
  .structure {
    --dropdownDisplaySize: 200px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    place-self: center;
    height: var(--dropdownDisplaySize);
    width: 280px;
    overflow-y: scroll;
    background-color: white;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
    padding: 10px 0;
    margin-bottom: calc(var(--accualDropdownSize) - var(--dropdownDisplaySize));
    position: relative;
    z-index: 1;
  }
  
  .structure>button {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 16px;
    background: none;
    border: none;
    z-index: 2;
  }
  
  .structure>button:hover {
    background-color: var(--colorAccent);
    color: rgb(163, 163, 163);
    cursor: pointer;
  }
  
  .structure>button>h5 {
    font-weight: 600;
    margin-right: 4px;
  }
  
  .structure>button>p {
    font-weight: 400;
    font-size: 13px;
    color: var(--colorPlaceholder);

  }
  
  .hide {
    opacity: 0 !important;
    visibility: hidden !important;
  } 

  .structure>.disapear
  {
    display: none;
  }